List Processes
Retrieve all processes.
Page to display; valid values are integers >= 1
1
Number of results per page, valid values are 1 through 5000
50
Value to sort by. Defaults to ascending; prepend with - to sort descending.
created_at
Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.
2021-01-01T00:00:00Z
Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.
2021-01-01T00:00:00Z
A query string containing a list of label selector requirements
environment=production
Comma-delimited list of process guids to filter by
Comma-delimited list of process types to filter by
Comma-delimited list of app guids to filter by
Comma-delimited list of space guids to filter by
Comma-delimited list of organization guids to filter by
OK
{
"total_results": 0,
"total_pages": 0,
"first": {
"href": "string",
"method": "string"
},
"last": {
"href": "string",
"method": "string"
},
"next": {
"href": "string",
"method": "string"
},
"previous": {
"href": "string",
"method": "string"
},
"resources": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"version": "string",
"type": "string",
"command": "string",
"user": "string",
"instances": 0,
"memory_in_mb": 0,
"disk_in_mb": 0,
"log_rate_limit_in_bytes_per_second": 0,
"registry_credential_last_synced_at": "string",
"health_check": {
"type": "string",
"data": {
"timeout": 0,
"invocation_timeout": 0,
"interval": 0,
"endpoint": "string"
}
},
"readiness_health_check": {
"type": "string",
"data": {
"timeout": 0,
"invocation_timeout": 0,
"interval": 0,
"endpoint": "string"
}
},
"relationships": {
"app": {
"data": {
"guid": "string"
}
},
"revision": {
"data": {
"guid": "string"
}
},
"registry_credential": {
"data": {
"guid": "string"
}
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"scale": {
"href": "string",
"method": "string"
},
"app": {
"href": "string",
"method": "string"
},
"space": {
"href": "string",
"method": "string"
},
"stats": {
"href": "string",
"method": "string"
},
"registry_credential": {
"href": "string",
"method": "string"
}
}
}
]
}
Bad Request
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unauthorized
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Forbidden
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Conflict
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unprocessable Entity
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Internal Server Error
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Bad Gateway
{
"code": 0,
"detail": "string",
"title": "string"
}
A numeric code for this error
Detailed description of the error
Name of the error
Service Unavailable
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
curl -H 'Authorization: <value>' https://{api_host}/v3/processes